Mercury library 1.0 Translation of CFG grammars into an object model (Bachelor's thesis).

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
Mercury.Interpreting.Structure Class Reference

Represents a tree of Mercury.Interpreting.IElement instances. Must match precisely to the parse tree. More...

Inheritance diagram for Mercury.Interpreting.Structure:

## Public Member Functions
| Structure (IElement head)
| Creates a new Structure structure with root only. More...
| Structure (IElement head, IEnumerable< IElement > subelements)
| Creates a new Structure. More...
bool | Equals (IElement other)

## Properties
bool | HasWildcard`[get, set]`
| Indicates whether this structure contains wildcard amongst its direct child nodes. More...
ElementType | Type`[get, set]`
Properties inherited from Mercury.Interpreting.IElement
ElementType | Type`[get]`
| Element type More...

## Detailed Description

Represents a tree of Mercury.Interpreting.IElement instances. Must match precisely to the parse tree.

Definition at line 439 of file Element.cs.

## Constructor & Destructor Documentation

Mercury.Interpreting.Structure.Structure | ( | IElement | head | ) |

Creates a new Structure structure with root only.

Parameters

  head | Structure root. Must inherit from Mercury.Interpreting.Alternative.

Definition at line 452 of file Element.cs.

Mercury.Interpreting.Structure.Structure | ( | IElement | head,
|  | IEnumerable< IElement > | subelements
| ) |  |

Creates a new Structure.

Parameters

  head | Structure root. Must inherit from Mercury.Interpreting.Alternative.
  subelements | Child elements.

Exceptions

  System.ArgumentNullException | When value is null
  System.ArgumentException | structure root must be an Alternative

Definition at line 463 of file Element.cs.

## Member Function Documentation

bool Mercury.Interpreting.Structure.Equals | ( | IElement | other | ) |

Definition at line 496 of file Element.cs.

## Property Documentation

bool Mercury.Interpreting.Structure.HasWildcard
| get set

Indicates whether this structure contains wildcard amongst its direct child nodes.

`true` if the wildcard is present, `false` otherwise.

Definition at line 484 of file Element.cs.

ElementType Mercury.Interpreting.Structure.Type
| get set

Definition at line 490 of file Element.cs.

The documentation for this class was generated from the following file:

- Mercury/Mercury/Interpreting/Element.cs